Subject: bug#43047: 28.0.50; Closing Gnus server then searching it results in unrecoverable breakage

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 27 Aug 2021 11:33:07 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>>>>>>   make-network-process(:name "*nnimap*" :buffer #<buffer *nnimap NPR
>>>>>> nil *nntpd**> :host "NPR" :service "imaps" :nowait nil :tls-parameters
>>>>>> nil :coding nil)
>
> [...]
>
>> It's just the label of the server:
>>
>> (nnimap "NPR"
>>   (nnimap-address "localhost")
>>   (nnimap-stream network)
>>   (gnus-message-archive-group "nnimap+NPR:Sent")
>>   (nnimap-authenticator login)
>>   (nnimap-user "[email-masked]"))
>
> Hm...  then it sounds like the defvoo machinery isn't restoring the
> local variables (and just using "NPR" as the host name, which is the
> default if nnimap-address is nil).

Oh! I think I already fixed this, in aae44a36f3. I just added a
`gnus-open-server' into the imap `gnus-search-run-search' -- that seems
sufficient to make this server the "current server". I just tested
it again (close and then search) and it seems to work fine. Maybe close
this out?